EcNumber.Impl (BioJava-1.5-beta API)
Keywords: org.biojava.bio.EcNumber.Impl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio
Class EcNumber.Impl

    java.lang.Object
      org.biojava.bio.EcNumber.Impl

All Implemented Interfaces:
  EcNumber

Enclosing interface:
  EcNumber

    public static class EcNumber.Impl

extends Object
implements EcNumber

A simple implementation of EcNumber.

Since:
  1.4
Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.EcNumber
`EcNumber.Impl`

Field Summary

Fields inherited from interface org.biojava.bio.EcNumber
`EC_PATTERN, UNCLASSIFIED, UNDEFINED`

Constructor Summary
`EcNumber.Impl(int mainClass, int subClass, int subSubClass, int group)` Make a new EcNumber.Impl with the data provided.

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getClassNumber(int level)` Get the class number associated with the particular level of the ec number.
`int` | `hashCode()`
`String` | `toString()`
`static EcNumber.Impl` | `valueOf(String ecString)` Process a string into an EcNumber.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EcNumber.Impl

    public EcNumber.Impl(int mainClass,
                         int subClass,
                         int subSubClass,
                         int group)

  Make a new EcNumber.Impl with the data provided.

  Parameters:
    `mainClass` - the main class number
    `subClass` - the sub class number
    `subSubClass` - the sub-sub class number
    `group` - the group number

Method Detail

### getClassNumber

    public int getClassNumber(int level)

  Description copied from interface: `EcNumber`
  Get the class number associated with the particular level of the ec number.

  The index can be between 0 and 3 inclusive. 0 correxpons to the top level class, 1 to the sub-class and so on. A return value of UNDEFINED indicates that this field is not populated.

  Specified by:
    `getClassNumber` in interface `EcNumber`
  Parameters:
    `level` - the level in the ec classification to return the number for
  Returns:
    the value at that level

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### valueOf

    public static EcNumber.Impl valueOf(String ecString)

  Process a string into an EcNumber.

  This method uses the `EcNumber.EC_PATTERN` regular expression.

  Parameters:
    `ecString` - String to parse
  Returns:
    a new EcNumber
  Throws:
    `IllegalArgumentException` - if ecString could not be parsed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD